<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>List Events</title>
    <script src="https://kit.fontawesome.com/98a151f25f.js" crossorigin="anonymous"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>
    <link rel="preconnect" href="https://rsms.me/">
    <link rel="stylesheet" href="https://rsms.me/inter/inter.css">
    <style>
        body {
            font-family: 'Poppins';
            letter-spacing: -0.02rem;
        }
        
        .wrap {
            width: 1000px;
            margin: auto;
            margin-top: 10px;
        }
        
        .card {
            /* box-shadow: 0 4px 8px 0 rgb(0, 0, 0); */
            transition: 0.4s;
            width: 300px;
            border-radius: 5px;
            background: rgb(255, 255, 255);
            margin: 15px;
            margin-bottom: 20px;
            float: left;
        }
        
        .card:hover {
            box-shadow: 0 4px 10px 0 rgb(0, 0, 0);
        }
        
        .containers {
            padding: 16px 16px;
            width: 300px;
            height: 300px;
        }
        
        .tab {
            display: none;
        }
        
        .active {
            display: block;
        }
    </style>
</head>
{% if request.session.Role == 'Karyawan' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">RAD</span>
  </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Event
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event/create-event">Create Event</a>
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Adopsi
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi/create-adopsi">Create Adopsi</a>
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Statistik
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %} {% if request.session.Role == 'Admin' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">RAD</span>
  </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Users
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/user/add-user">Create User</a>
                    <a class="dropdown-item" href="/user/list-user">List User</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Dokter
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/appointmentdokter/">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Grooming
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Layanan Master Data</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Event
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Adopsi
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Statistik
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %} {% if request.session.Role == 'Customer' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/appointmentdokter/create-appointmentdokter">Create Appointment</a>
                    <a class="dropdown-item" href="/appointmentdokter">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %}
<br>

<body style="background-color: rgb(255, 255, 255);">
    <div class="container">
        <main id="main">
            <section>
                <div class="container-fluid text-center">
                    <h1>Event List</h2>
                </div>

                {% if request.session.Role == 'Karyawan' %}
                <div class="d-grid d-md-flex justify-content-md-end">
                    <a href="/event/create-event">
                        <button class="btn btn-primary px-4">+ Tambah Event</button>
                    </a>
                </div>
                {% endif %}

                <ul class="nav nav-tabs">
                    <li class="nav-item">
                      <a class="nav-link active" data-toggle="tab" href="#all">All Events</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" data-toggle="tab" href="#past">Past Events</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" data-toggle="tab" href="#today">Today's Events</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" data-toggle="tab" href="#future">Upcoming Events</a>
                    </li>
                    {% if request.session.Role == 'Customer' %}
                    <li class="nav-item">
                      <a class="nav-link" data-toggle="tab" href="#registered">My Events</a>
                    </li>
                    {% endif %}
                </ul>
                  

                <div class="tab-content">
                    <div id="all" class="tab-pane fade show active">
                        {% if all_events %}
                        <div class="wrap">
                            {% for event in all_events %}
                            <div class="card">
                                <div class="containers" style="height: 6cm;">
                                    <h3>{{ event.title }}</h3>
                                    <h6><span class="far fa-calendar-check"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.date }}</h6>
                                    <h6><span class="fa-solid fa-location-dot"></span>&nbsp;&nbsp;&nbsp;&nbsp;{{ event.general_location }}</h6>
                                    <h6><span class="fa-regular fa-clock"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.time }} - {{ event.end_time.time }}</h6>
                                    {% if event.isVIP %}
                                    <button class="btn btn-primary px-4" style="background-color:gold; border-color: gold; color: black;"> 
                        <span class="fa-solid fa-crown"></span>&nbsp;&nbsp;&nbsp;VIP Only</button> {% endif %}
                                </div>
                                <div class="mt-5 text-center" style="padding-bottom: 50px;">
                                    <a href="/event/read-event/{{ event.id }}">Detail</a>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                        {% else %}
                        <br>
                        <br>
                        <p>Tidak ada Event yang terdaftar.</p>
                        {% endif %}
                    </div>
                    <div id="past" class="tab-pane fade">
                        {% if past_events %}
                        <div class="wrap">
                            {% for event in past_events %}
                            <div class="card">
                                <div class="containers" style="height: 6cm;">
                                    <h3>{{ event.title }}</h3>
                                    <h6><span class="far fa-calendar-check"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.date }}</h6>
                                    <h6><span class="fa-solid fa-location-dot"></span>&nbsp;&nbsp;&nbsp;&nbsp;{{ event.general_location }}</h6>
                                    <h6><span class="fa-regular fa-clock"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.time }} - {{ event.end_time.time }}</h6>
                                    {% if event.isVIP %}
                                    <button class="btn btn-primary px-4" style="background-color:gold; border-color: gold; color: black;"> 
                        <span class="fa-solid fa-crown"></span>&nbsp;&nbsp;&nbsp;VIP Only</button> {% endif %}
                                </div>
                                <div class="mt-5 text-center" style="padding-bottom: 50px;">
                                    <a href="/event/read-event/{{ event.id }}">Detail</a>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                        {% else %}
                        <br>
                        <p>Tidak ada Event yang sudah lampau.</p>
                        {% endif %}
                    </div>
                    <div id="today" class="tab-pane fade">
                        {% if today_events %}
                        <div class="wrap">
                            {% for event in today_events %}
                            <div class="card">
                                <div class="containers" style="height: 6cm;">
                                    <h3>{{ event.title }}</h3>
                                    <h6><span class="far fa-calendar-check"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.date }}</h6>
                                    <h6><span class="fa-solid fa-location-dot"></span>&nbsp;&nbsp;&nbsp;&nbsp;{{ event.general_location }}</h6>
                                    <h6><span class="fa-regular fa-clock"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.time }} - {{ event.end_time.time }}</h6>
                                    {% if event.isVIP %}
                                    <button class="btn btn-primary px-4" style="background-color:gold; border-color: gold; color: black;"> 
                        <span class="fa-solid fa-crown"></span>&nbsp;&nbsp;&nbsp;VIP Only</button> {% endif %}
                                </div>
                                <div class="mt-5 text-center" style="padding-bottom: 50px;">
                                    <a href="/event/read-event/{{ event.id }}">Detail</a>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                        {% else %}
                        <br>
                        <p>Tidak ada Event hari ini.</p>
                        {% endif %}
                    </div>
                    <div id="future" class="tab-pane fade">
                        {% if upcoming_events %}
                        <div class="wrap">
                            {% for event in upcoming_events %}
                            <div class="card">
                                <div class="containers" style="height: 6cm;">
                                    <h3>{{ event.title }}</h3>
                                    <h6><span class="far fa-calendar-check"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.date }}</h6>
                                    <h6><span class="fa-solid fa-location-dot"></span>&nbsp;&nbsp;&nbsp;&nbsp;{{ event.general_location }}</h6>
                                    <h6><span class="fa-regular fa-clock"></span>&nbsp;&nbsp;&nbsp;{{ event.start_time.time }} - {{ event.end_time.time }}</h6>
                                    {% if event.isVIP %}
                                    <button class="btn btn-primary px-4" style="background-color:gold; border-color: gold; color: black;"> 
                        <span class="fa-solid fa-crown"></span>&nbsp;&nbsp;&nbsp;VIP Only</button> {% endif %}
                                </div>
                                <div class="mt-5 text-center" style="padding-bottom: 50px;">
                                    <a href="/event/read-event/{{ event.id }}">Detail</a>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                        {% else %}
                        <br>
                        <p>Tidak ada Event yang akan datang.</p>
                        {% endif %}
                    </div>
                    {% if request.session.Role == 'Customer' %}
                    <div id="registered" class="tab-pane fade">
                        {% if registered_events %}
                        <div class="wrap">
                            {% for i in registered_events %}
                            <div class="card">
                                <div class="containers" style="height: 6cm;">
                                    <h6 style="display: inline-block; background-color: #17177e; padding: 2px 5px; border-radius: 5px; color: white;">ID Tiket: {{ i.id }}</h6>
                                    <h3>{{ i.event.title }}</h3>
                                    <h6><span class="far fa-calendar-check"></span>&nbsp;&nbsp;&nbsp;{{ i.event.start_time.date }}</h6>
                                    <h6><span class="fa-solid fa-location-dot"></span>&nbsp;&nbsp;&nbsp;&nbsp;{{ i.event.general_location }}</h6>
                                    <h6><span class="fa-regular fa-clock"></span>&nbsp;&nbsp;&nbsp;{{ i.event.start_time.time }} - {{ i.event.end_time.time }}</h6>
                                    {% if i.event.isVIP %}
                                    <button class="btn btn-primary px-4" style="background-color:gold; border-color: gold; color: black;"> 
                        <span class="fa-solid fa-crown"></span>&nbsp;&nbsp;&nbsp;VIP Only</button> 
                                    {% endif %}
                                </div>
                                <div class="mt-5 text-center" style="padding-bottom: 50px;">
                                    <a href="/event/tiket-event/{{ i.id }}/{{ customer_id }}">Lihat Tiket</a>
                                    <br>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                        {% else %}
                        <br>
                        <p>Anda belum pernah mendaftar Event.</p>
                        {% endif %}
                    </div>
                    {% endif %}
                </div>
                <!-- jQuery and Bootstrap JS -->
                <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
                <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>



            </section>
        </main>
    </div>

</body>